Retrieve a delta

Returns personal information that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/people?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-people.read

Response properties

Field Type Required Writable Description
id integer Read-only Internal unique identifier for the person.
changeVersion string Read-only Property to indicate the order of changes.
periodClosingDate string Read-only Date of the period closing, used to lock the calendar.
hourlyRateCurrencyDefinition.id integer Read-only Internal unique identifier for the hourly rate currency.
advanceCurrencyDefinition.id integer Read-only Internal unique identifier for the advance currency.
lastName string Read-only Last name of the person.
firstName string Read-only First name of the person.
initials string Read-only Initials of the person.
telephone string Read-only Telephone number.
mobile string Read-only Mobile phone number.
email string Read-only Email address.
address string Read-only Street address with the number.
postalCode string Read-only Postal code.
town string Read-only Town or city.
countryISOCode string Read-only ISO code of the country.
nationalityISOCode string Read-only ISO code of the nationality.
sex string Read-only Sex of the person (Unknown, Female, Male, Other).
maritalStatus string Read-only Marital status (Unknown, Single, Married, Widow, Widower, Divorced, LivingTogether).
birthDate string Read-only Birth date of the person (YYYY-MM-DD).
placeOfBirth string Read-only Place of birth.
drivingLicense string Read-only Driving license number.
registerNumber string Read-only Register number.
passportNumber string Read-only Passport number.
socialSecurityNumber string Read-only Social security number.
bankAccount string Read-only Bank account number.
inServiceDate string Read-only Date when the person entered service (YYYY-MM-DD).
outOfServiceDate string Read-only Date when the person stopped service (YYYY-MM-DD). To infinity if empty.
wtdStartDate string Read-only WTD start date (YYYY-MM-DD).
employeeNumber string Read-only Employee number.
payGroup string Read-only Pay group of the person.
hourlyRate number Read-only Hourly rate.
maxAdvance number Read-only Maximum advance allowed.
terminalGroup.id integer Read-only Internal unique identifier for the terminal group the person is linked to.
badgeNumber string Read-only Badge number of the person. Needs to be unique.
pinCode integer Read-only PIN code.
terminalLanguageISOCode string Read-only ISO code of the terminal language for this person.

Filters

No filters are available for this endpoint.

External references

This endpoint does not support external references.

Error responses

Status Condition
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

Retrieving delta changes for people

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/people?delta